<?php
class QRGenerator { 

    protected $size; 
    protected $data; 
    protected $encoding; 
    protected $errorCorrectionLevel; 
    protected $marginInRows; 
    protected $debug; 

    public function __construct($data='1334554 5454 545',$size='300',$encoding='UTF-8',$errorCorrectionLevel='L',$marginInRows=4,$debug=false) { 

        $this->data=urlencode($data); 
        $this->size=($size>100 && $size<800)? $size : 300; 
        $this->encoding=($encoding == 'Shift_JIS' || $encoding == 'ISO-8859-1' || $encoding == 'UTF-8') ? $encoding : 'UTF-8'; 
        $this->errorCorrectionLevel=($errorCorrectionLevel == 'L' || $errorCorrectionLevel == 'M' || $errorCorrectionLevel == 'Q' || $errorCorrectionLevel == 'H') ?  $errorCorrectionLevel : 'L';
        $this->marginInRows=($marginInRows>0 && $marginInRows<10) ? $marginInRows:4; 
        $this->debug = ($debug==true)? true:false;     
    }
public function generate(){ 

        $QRLink = "https://chart.googleapis.com/chart?cht=qr&chs=".$this->size."x".$this->size. "&chl=" . $this->data .  
                   "&choe=" . $this->encoding . 
                   "&chld=" . $this->errorCorrectionLevel . "|" . $this->marginInRows; 
        if ($this->debug) echo   $QRLink;          
        return $QRLink; 
    }
}
?>

<div class="row">
    <div class="col-xs-1 col-sm-1 col-md-1 box-arrow" ></div>

    <div class="col-xs-10 col-sm-10 col-md-10">
        <div data-toggle="modal" data-target="#defaultModal" style="text-align: center; cursor: pointer;">
            <img src="/img/core/img/connect-card-v3.png" class="img-responsive" id="img-upload" alt="Profile picture">                
        </div>
    </div>

    <div class="col-xs-1 col-sm-1 col-md-1 box-arrow" >
        <a>
            <?php echo $this->Html->link(
                '<i class = "fa fa-angle-right"></i>',
                ['controller' => 'UserCards', 'action' => 'viewCard', '_full' => true],['escape' => false]
            ); ?>
        </a>
    </div>
    <div style="clear: both"></div>
</div><!--/row-->
<br><br>
<div class="row">
    <div class="col-xs-12 col-sm-12 col-md-12">
        <?php echo $this->Form->create('UserProfiles', ['id' => 'frmSignIn', 'type' => 'file']); ?>
            <?php echo $this->Flash->render() ?>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo $this->Form->hidden('Users.user_id', ['class' => 'form-control-reg border-bottom-from label-text-sub required', 'value' => $responseUserProfile['id'], 'id' => 'userId', 'type' => 'text', 'label' => __('ชื่อผู้ใช้งาน'), 'placeholder' => 'USERNAME']); ?>
                    <?php echo $this->Form->input('Users.username', ['class' => 'form-control-reg border-bottom-from label-text-sub required', 'value' => $username, 'id' => 'username', 'type' => 'text', 'label' => __('ชื่อผู้ใช้งาน'), 'placeholder' => 'USERNAME', 'readonly']); ?>
                    <?php // echo $this->Form->input('user_id', ['class' => 'form-control-reg border-bottom-from label-text-sub required', 'value' => $userProfile->username, 'id' => 'userId', 'type' => 'text', 'label' => __('ชื่อผู้ใช้งาน'), 'placeholder' => 'USERNAME']); ?>
                </div>
            </div>
        <?php // foreach ($userProfile->user['user_personals'] as $k => $userProfiles): ?>
        <?php // debug($userProfiles); exit;?>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo $this->Form->input('UserPersonals.firstname_th', ['class' => 'form-control-reg border-bottom-from label-text-sub required', 'value' => $responseUserPersonal['firstname_th'], 'id' => 'firstname_th', 'type' => 'text', 'label' => __('ชื่อ'), 'placeholder' => 'ชื่อ', 'required']); ?>
                    <?php // echo $this->Form->input('fullname', ['class' => 'form-control-reg border-bottom-from label-text-sub', 'value' => $userProfiles->firstname_th . ' ' . $userProfiles->lastname_th, 'id' => 'fullName', 'type' => 'text', 'label' => __('ชื่อ - นามสกุล'), 'placeholder' => 'ชื่อ - นามสกุล', 'required']); ?>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo $this->Form->input('UserPersonals.lastname_th', ['class' => 'form-control-reg border-bottom-from label-text-sub required', 'value' => $responseUserPersonal['lastname_th'], 'id' => 'lastname_th', 'type' => 'text', 'label' => __('นามสกุล'), 'placeholder' => 'นามสกุล', 'required']); ?>
                    <?php // echo $this->Form->input('fullname', ['class' => 'form-control-reg border-bottom-from label-text-sub', 'value' => $userProfiles->firstname_th . ' ' . $userProfiles->lastname_th, 'id' => 'fullName', 'type' => 'text', 'label' => __('ชื่อ - นามสกุล'), 'placeholder' => 'ชื่อ - นามสกุล', 'required']); ?>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo $this->Form->input('UserPersonals.birthdate', ['class' => 'form-control-reg border-bottom-from required', 'value' => $dateNow, 'id' => 'datepicker', 'type' => 'text', 'label' => __('วันเดือนปีเกิด'), 'placeholder' => 'DD-MM-YYYY', 'required']); ?>
                    <span class="glyphicon glyphicon-calendar form-control-feedback datepicker"></span>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                <!--<label class="label-text-sub">เพศ</label>-->
                    <?php echo __('เพศ'); ?>
                    <div class="radio-group">
                        <label class="radio-inline">
                            <input type="radio" name="UserPersonals[gender]" id="male" value="M" <?php echo ($responseUserPersonal['gender'] == 'M') ? 'checked="checked"' : null; ?>> <?php echo __('ชาย'); ?>
                        </label>
                        <label class="radio-inline">
                            <input type="radio" name="UserPersonals[gender]" id="female" value="F" <?php echo ($responseUserPersonal['gender'] == 'F') ? 'checked="checked"' : null; ?>> <?php echo __('หญิง'); ?>
                        </label>
                    </div>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo __('กรุ๊ปเลือด'); ?>
                    <div class="radio-group">
                        <label class="radio-inline">
                            <input type="radio" name="UserPersonals[blood_group]" id="blood-A" value="A" <?php echo ($responseUserPersonal['blood_group'] == 'A') ? 'checked="checked"' : null; ?>> <?php echo __('A'); ?>
                        </label>
                        <label class="radio-inline">
                            <input type="radio" name="UserPersonals[blood_group]" id="blood-B" value="B" <?php echo ($responseUserPersonal['blood_group'] == 'B') ? 'checked="checked"' : null; ?>> <?php echo __('B'); ?>
                        </label>
                        <label class="radio-inline">
                            <input type="radio" name="UserPersonals[blood_group]" id="blood-AB" value="AB" <?php echo ($responseUserPersonal['blood_group'] == 'AB') ? 'checked="checked"' : null; ?>> <?php echo __('AB'); ?>
                        </label>
                        <label class="radio-inline">
                            <input type="radio" name="UserPersonals[blood_group]" id="blood-O" value="O" <?php echo ($responseUserPersonal['blood_group'] == 'O') ? 'checked="checked"' : null; ?>> <?php echo __('O'); ?>
                        </label>
                    </div>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo $this->Form->input('UserPersonals.moblie_no', ['class' => 'form-control-reg border-bottom-from label-text-sub required', 'value' => $responseUserPersonal['moblie_no'], 'id' => 'moblieNo', 'type' => 'text', 'label' => __('เบอร์โทรศัพท์'), 'placeholder' => '000-000-0000']); ?>
                    <?php // echo $this->Form->input('moblie_no', ['class' => 'form-control-reg border-bottom-from label-text-sub', 'value' => $userProfiles->moblie_no, 'id' => 'moblieNo', 'type' => 'text', 'label' => __('เบอร์โทรศัพท์'), 'placeholder' => '000-000-0000']); ?>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo $this->Form->input('UserPersonals.email', ['class' => 'form-control-reg border-bottom-from label-text-sub required', 'value' => $responseUserPersonal['email'], 'id' => 'email', 'type' => 'email', 'label' => __('Email'), 'placeholder' => 'mail@xxx.com']); ?>
                    <?php // echo $this->Form->input('email', ['class' => 'form-control-reg border-bottom-from label-text-sub', 'value' => $userProfiles->email, 'id' => 'email', 'type' => 'email', 'label' => __('Email'), 'placeholder' => 'mail@xxx.com']); ?>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo $this->Form->input('UserPersonals.address', ['class' => 'form-control-reg border-bottom-from label-text-sub required', 'value' => $responseUserPersonal['address'], 'id' => 'address', 'type' => 'text', 'label' => __('ที่อยู่อาศัย'), 'placeholder' => __('112/3 สุขุมวิท 22 ทองหล่อ กทม 10523')]); ?>
                    <?php // echo $this->Form->input('address', ['class' => 'form-control-reg border-bottom-from label-text-sub', 'value' => $userProfiles->address, 'id' => 'address', 'type' => 'text', 'label' => __('ที่อยู่อาศัย'), 'placeholder' => __('112/3 สุขุมวิท 22 ทองหล่อ กทม 10523')]); ?>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo __('ประเทศ'); ?>
                    <?php
                        echo $this->Form->input( 'master_country_id', array(
                        'id' => 'master_country_id',
                        'label' => false,
                        'type' => 'select',
                        'options' => $Country,
                        'value' => $responseUserPersonal['master_country_id'],
                        'empty' => '---Select---',
                        'default' => !empty($responseUserPersonal['master_country_id'])? $responseUserPersonal['master_country_id']:'',
                        'class' => 'form-control border-bottom-from label-text-sub required',
                        'style' => 'width:100%'
                        )); 
                    ?>
                </div>
            </div>
            <div class="form-group has-feedback">
                <div class="col-xs-12 col-sm-12 col-md-12">
                    <?php echo __('จังหวัด'); ?>
                    <?php 
                        echo $this->Form->input( 'master_province_id', array(
                        'id' => 'master_province_id',
                        'label' => false,
                        'type' => 'select',
                        'options' => $Province,
                        'value' => $responseUserPersonal['master_province_id'],
                        'empty' => '---Select---',
                        'default' => !empty($responseUserPersonal['master_province_id'])? $responseUserPersonal['master_province_id']:'',
                        'class' => 'form-control border-bottom-from label-text-sub required',
                        'style' => 'width:100%'
                        )); 
                    ?>
                </div>
            </div>
        <?php // endforeach; ?>
        <div>
            <?php // echo $this->Form->submit(__('SAVE')) ?>
            <button type="submit" class="btn btn-quaternary mr-xs mb-sm button-text-profile">บันทึก</button>
        </div>
        <?php echo $this->Form->end(); ?>
    </div>
</div>

<div class="row">
    <div class="col-xs-12 col-sm-12 col-md-12">
        <div class="modal fade" id="defaultModal" tabindex="-1" role="dialog" aria-labelledby="defaultModalLabel" aria-hidden="true">
            <div class="modal-dialog box-ads">
            <a class="close-modal" data-dismiss="modal">X </a>  
                <div class="container login-container">
                    <div class="owl-carousel owl-theme" data-plugin-options="{'items': 1}">
                        <div> 
                            <img src="/img/core/img/connect-card-v2.png" class="img-responsive" id="img-upload" alt="Profile picture">
                        </div>  
                        <div>
                            <div class="qrcode-profile"><br>
                                <?php echo __('แสดง QR Code เพื่อรับสิทธิ์');?>
                            </div>
                            <img src="/img/core/img/connect-card-back.png" class="img-responsive" id="img-upload" alt="Profile picture">
                            <div class="qrcode-name">
                                <?php
                                $ex1 = new QRGenerator(); 
                                echo "<img src=".$ex1->generate()." style='position: absolute;width: 150px;border: solid 1px #000;' class='qrcode-name'>";
                                ?>
                                <?php //echo $this->Html->image('/img/core/img/qr-code.jpg', array('div' => false, 'class' => 'qrcode-name','style' => 'position: absolute;width: 120px;')); ?>
                            </div>
                        </div>
                    </div>
                </div>    
            </div>
        </div>
    </div>
</div>
<?php $this->append('scriptBottom'); ?>
<script type="text/javascript">
    $(function () {
        $('#moblieNo').inputmask('999-999-9999');
        $('#officePhone').inputmask('99-999-9999');
//==================================================
//        CHANGE Date Times
//==================================================
        $('#datepicker').datepicker({
            format: 'dd/mm/yyyy'
        });
    });
//==================================================
//        CHANGE Province According Country
//==================================================
    $(document).ready(function () {
        $("#master_country_id").on('change', function () {
            var id = $(this).val();
            if (id) {
                var dataString = 'id=' + id;
                $.ajax({
                    type: "POST",
                    url: '/provinces/getProvince',
                    data: dataString,
                    cache: false,
                    success: function (html) {
                        $("#master_province_id").html(html);
                    }
                });
            }
        });
    });

</script>
<?php $this->end();?>
<style>
    .box-arrow{
        font-size:36px; 
        height: 200px; 
        padding-top:20%;
        cursor: pointer;
    }
    .box-ads{
        width: 1%;
        display: table;
        margin: auto;
        position: relative;
        padding-top: 10px;
        margin-top: 5px;
    } 
    .box-ads .close-modal{
        position:absolute;
        top:0;
        right: 0;
        width: 40px;
        height: 40px;
        background-color: #000;
        color: #fff;
        cursor: pointer; 
        font-size: 20px;
        border-radius: 20px;
        padding-top: 10px;
        margin-right: 10px;
       text-align: center;
       z-index: 9999;
    }
    .box-ads .close-modal:hover{
        text-decoration: none;
    }
</style>